NetXMS Support Forum

Please login or register.

Login with username, password and session length

Author Topic: Netxms does not start after update (Debian)  (Read 460 times)

SwedeOzzie

  • Newbie
  • *
  • Posts: 3
    • View Profile
Netxms does not start after update (Debian)
« on: October 17, 2018, 09:01:48 am »

Hi.

After updating my system i cant start Netxms client. (nxmc)

I have openjre 8 and 10. I have default-jre.
I have tried several netxms versions, 2.0.7 + 2.0.8 + 2.2.9
Tried to get eclipse but i get: 
                                              Package eclipse is not available, but is referred to by another package.
                                              This may mean that the package is missing, has been obsoleted, or
                                              is only available from another source
                             (a friend who looked into my log said to get it. I have installed it from their website eclipse jre for developers.)

I don't even get into the login screen.

Any help is highly appreciated.
Logged

Alex Kirhenshtein

  • Team Member
  • Administrator
  • Hero Member
  • *****
  • Posts: 913
    • View Profile
Re: Netxms does not start after update (Debian)
« Reply #1 on: October 17, 2018, 11:29:34 am »

Java10 is not supported by the Eclipse platform we use.
You need to modify nxmc.ini and specify path to JVM (8): https://wiki.eclipse.org/Eclipse.ini#-vm_value:_Linux_Example
Logged

SwedeOzzie

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Netxms does not start after update (Debian)
« Reply #2 on: October 17, 2018, 12:33:42 pm »

Hi.

I may or may not be a real noob... still can't get it to work.
Tried it and ill attach the ini and error i get..

Good thing is i get a different error =)

Thank you for all the help.
Logged

SwedeOzzie

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Netxms does not start after update (Debian)
« Reply #3 on: October 17, 2018, 01:25:57 pm »

Hi.

Update
Managed to solve it by `update-alternatives --config java`
and setting standard Java to 8.
Now netxms is working again.

Thank you for helping me.

Hi.

I may or may not be a real noob... still can't get it to work.
Tried it and ill attach the ini and error i get..

Good thing is i get a different error =)

Thank you for all the help.
Logged